org.apache.avro.path

## Class ArrayPositionPredicate

- java.lang.Object
- - org.apache.avro.path.ArrayPositionPredicate

All Implemented Interfaces:
  PathElement, PathPredicate, PositionalPathPredicate

    public class ArrayPositionPredicate
    extends Object
    implements PositionalPathPredicate

Returns items by their position (numeric index) in an array

### Constructor Summary

Constructors
Constructor and Description
`ArrayPositionPredicate(long index)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArrayPositionPredicate

    public ArrayPositionPredicate(long index)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`